#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-3tPuNR9oRGkDwHYk5RpzXt
key:                  random-source-0.3.0.11-3tPuNR9oRGkDwHYk5RpzXt
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  bc25ea03a329d1ec7bc98cdc7dee96fc
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-8.10.5/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-8.10.5/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/random-source-0.3.0.11
hs-libraries:         HSrandom-source-0.3.0.11-3tPuNR9oRGkDwHYk5RpzXt
depends:
    base-4.14.2.0 flexible-defaults-0.0.3-ETpBh2GHg2k7pp60r6seZd
    mersenne-random-pure64-0.2.2.0-E1vDW6JYRwg73cqvm38NOe mtl-2.2.2
    mwc-random-0.15.0.1-AeJQmnXbumd6owIOBJjHCW
    primitive-0.7.1.0-AkP7NXsD2hU9icXxhozUgx
    random-1.2.0-FYrBsLYhb8t9oQNjLyUagP
    stateref-0.3-Eh1DsLBg0MW5KjbrEZPHel
    syb-0.7.2.1-HqEUbV3OUoiA5BHjjq4S7j template-haskell-2.16.0.0
    th-extras-0.0.0.4-KQmH4t6N6TZ41F4KS0yVKa

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

